Search found 126 matches

Go to advanced search

by paffenholz
03 Jun 2019, 22:57
Forum: Helpdesk
Topic: Calling polymake from another program on a mac
Replies: 5
Views: 109

Re: Calling polymake from another program on a mac

polymake works the same way on Mac and Linux. The only thing that might make it look different is the binary version bundled as a Mac application. This is due to the way Apple has organized its applications. I can't change this. But apart from following apple's folder and file name requirements, the...
by paffenholz
01 Jun 2019, 10:58
Forum: Installing polymake
Topic: Installing from source on macOS 10.13
Replies: 4
Views: 64

Re: Installing from source on macOS 10.13

Seems we tested but did not properly update the instructions. Can you try the configure without any of the options you used, so just

Code: Select all

./configure
Andreas
by paffenholz
21 May 2019, 15:43
Forum: Installing polymake
Topic: Downgrading perl in MacOs
Replies: 2
Views: 65

Re: Downgrading perl in MacOs

I was not aware of this perl update in 10.14.5 and I don't see it documented somewhere. Nice. Until now 5.18.2 was the only system perl available on 10.11 to 10.14, so this was stable for around two years now. And considering that by now there is perl 5.28 available, going from 5.18.2 to 5.18.4 is a...
by paffenholz
10 Apr 2019, 21:27
Forum: Installing polymake
Topic: Compiling polymake on macOS 10.14
Replies: 6
Views: 350

Re: Compiling polymake on macOS 10.14

Your java is alright. The compilation fails as the version of the software jreality that comes with polymake requires a java version that is older than the last version supported by java 12. On MacOS jreality currently doesn't work properly anyway. I suggest to switch this off entirely during compil...
by paffenholz
07 Apr 2019, 12:53
Forum: Helpdesk
Topic: Determining version
Replies: 7
Views: 247

Re: Determining version

The error with polymake-config is fixed in more recent versions of the polymake bundle. This script also tells you the required compiler and linker flags if you want to link against libpolymake. polymake in the bundle needs some environment variables to be set, so instead of the actual polymake scri...
by paffenholz
05 Apr 2019, 09:55
Forum: Helpdesk
Topic: Determining version
Replies: 7
Views: 247

Re: Determining version

At least its installation directory needs to be in the $PATH, as polymake can be installed anywhere, and searching the path is the only standard way to detect installed software. If it is, calling polymake --version or polymake-config --version should work. You can also check for some standard insta...
by paffenholz
22 Mar 2019, 09:52
Forum: Helpdesk
Topic: Problem with Installing Polymake
Replies: 7
Views: 304

Re: Problem with Installing Polymake

That doesn't look like Mac OS to me, perlbrew also exists for linux systems. Probably perl from perlbrew needs to be build with shared library support. Maybe passing

Code: Select all

-Duseshrplib
for perl installation solves the problem:

Code: Select all

perlbrew install perl-<version> -Duseshrplib
?
by paffenholz
02 Mar 2017, 23:42
Forum: Helpdesk
Topic: Listing all available functions/members
Replies: 10
Views: 3123

Re: Listing all available functions/members

Andreas: I remember how we wrote it together at the polymake workshop in 2016. Does it still sit in some private extension?
No, all working and in master at apps/common/perllib/Jupyter.pm
The jupyter interface itself is at https://github.com/polymake/jupyter-polymake and still needs some work.
by paffenholz
02 Mar 2017, 00:00
Forum: Helpdesk
Topic: Listing all available functions/members
Replies: 10
Views: 3123

Re: Listing all available functions/members

There is a jupyter kernel for polymake using pexpect that has tab completion already implemented. This is essentially done by using the tab completion method of polymake, so that we only need very litte code and directly have the full power of polymake's tab completion. Maybe you can just reuse this...
by paffenholz
30 Nov 2016, 22:48
Forum: Helpdesk
Topic: does not find singular 4.1.0
Replies: 2
Views: 1267

Re: does not find singular 4.1.0

singular renamed one of their libraries (from resurces to singular_resources), and the name is spelled out in the polymake configuration. As you apparently compile polymake yourself there are two easy fixes: You can either switch to the Snapshot release of polymake on github, or you edit the file bu...

Go to advanced search

cron